Ddeml.CONVCONTEXT (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Ddeml, class: CONVCONTEXT

Package com.sun.jna.platform.win32

# Class Ddeml.CONVCONTEXT

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Ddeml.CONVCONTEXT

Enclosing interface:
  Ddeml

@FieldOrder({"cb","wFlags","wCountryID","iCodePage","dwLangID","dwSecurity","qos"}) public static class Ddeml.CONVCONTEXT extends Structure
The following structure is used by `Ddeml.DdeConnect(int, com.sun.jna.platform.win32.Ddeml.HSZ, com.sun.jna.platform.win32.Ddeml.HSZ, com.sun.jna.platform.win32.Ddeml.CONVCONTEXT)` and `Ddeml.DdeConnectList(int, com.sun.jna.platform.win32.Ddeml.HSZ, com.sun.jna.platform.win32.Ddeml.HSZ, com.sun.jna.platform.win32.Ddeml.HCONVLIST, com.sun.jna.platform.win32.Ddeml.CONVCONTEXT)` and by `Ddeml.XTYP_CONNECT` and `Ddeml.XTYP_WILDCONNECT` callbacks.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `cb`
  set to sizeof(CONVCONTEXT)
  `int`
  `dwLangID`
  language ID for topic/item strings.
  `int`
  `dwSecurity`
  Private security code.
  `int`
  `iCodePage`
  codepage used for topic/item strings.
  `WinNT.SECURITY_QUALITY_OF_SERVICE`
  `qos`
  The quality of service a DDE client wants from the system during a given conversation.
  `int`
  `wCountryID`
  country/region code for topic/item strings used.
  `int`
  `wFlags`
  none currently defined.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CONVCONTEXT()`
  `CONVCONTEXT(Pointer p)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `write()`
  Writes the fields of the struct to native memory

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### cb

    public int cb
    set to sizeof(CONVCONTEXT)

  - ### wFlags

    public int wFlags
    none currently defined.

  - ### wCountryID

    public int wCountryID
    country/region code for topic/item strings used.

  - ### iCodePage

    public int iCodePage
    codepage used for topic/item strings.

  - ### dwLangID

    public int dwLangID
    language ID for topic/item strings.

  - ### dwSecurity

    public int dwSecurity
    Private security code.

  - ### qos

    public WinNT.SECURITY_QUALITY_OF_SERVICE qos
    The quality of service a DDE client wants from the system during a given conversation. The quality of service level specified lasts for the duration of the conversation. It cannot be changed once the conversation is started.

- ## Constructor Details

  - ### CONVCONTEXT

    public CONVCONTEXT()

  - ### CONVCONTEXT

    public CONVCONTEXT(Pointer p)

- ## Method Details

  - ### write

    public void write()
    Description copied from class: `Structure`
    Writes the fields of the struct to native memory
    Overrides:
      `write` in class `Structure`